//In this file we use scale, translate and mirror
//to combine two copies of the cross twisted vase into
//one. For more info about modifications possible in 
//openscad check out the openscad cheat sheet at
// http://www.openscad.org/cheatsheet/

//bottom half, scaled down to 3/5 size and no translation
linear_extrude(height = 50, twist = 90, slices = 100, scale=(3/5)){
 polygon (points=[
    [25,25],
    [25,50],
    [-25,50],
    [-25,25],
    [-50,25],
    [-50,-25],
    [-25,-25],
    [-25,-50],
    [25,-50],
    [25,-25],
    [50,-25],
    [50,25]

   ]);
  }

//now for the top half, flipped upside down and translated 50 units up
//keep in mind the modifiers used below are processed in reverse order
translate ([0,0,100])//moves it up to the top, this is last
mirror ([0,1,0])//mirrors it to correct rotation direction, second
mirror ([0,0,1])//flips it upside down this happens first
linear_extrude(height = 50, twist = 90, slices = 100, scale=(3/5)){
 polygon (points=[
    [25,25],
    [25,50],
    [-25,50],
    [-25,25],
    [-50,25],
    [-50,-25],
    [-25,-25],
    [-25,-50],
    [25,-50],
    [25,-25],
    [50,-25],
    [50,25]

   ]);
  }